Page MenuHomePhabricator

Show partial translations in the From language dropdown
Closed, ResolvedPublic3 Story Points

Description

Currently the staging site only has completely translated languages in the From dropdown. We should expand that to show all languages, including those which have partial translations. This is because the partial translations might be missing translations for labels which don't need them (like numbers - example). Instead of hiding them completely, let's do something like this -

That is, for missing labels, tell the user that the string is untranslated and also tell them the default/English label for the missing translated label.

Preview - The preview image will contain the default/English label in place of the untranslated label. Once the user adds a translation, the preview updates as usual to replace the default/English label with the added translation.

Event Timeline

Niharika triaged this task as Normal priority.Nov 30 2018, 7:34 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptNov 30 2018, 7:34 PM
Niharika set the point value for this task to 3.Dec 11 2018, 12:31 AM
Samwilson moved this task from Ready to In Development on the Community-Tech-Sprint board.

Is the grey colour @wmui-color-base30? In the screenshot it looks like it's #7f7f7f but that's not in the Wikimedia base stylesheet.

Other than that, a patch is ready for review at https://github.com/wikimedia/svgtranslate/pull/37

@Samwilson Any grey is fine. I used one randomly.

I've updated the staging site.

Niharika closed this task as Resolved.Dec 15 2018, 2:40 AM
Niharika moved this task from QA to Q2 2018-19 on the Community-Tech-Sprint board.

Can we make a minor change in the design? Prefixing Untranslated before every label might be cumbersome for the user to read through every time. Can we move it to the bottom and make it smaller?

Should I raise a separate task for this?

No, that's part of this ticket. Sounds good.

Do you want the untranslated all lower-case like that, or with an upper-case U?

Do you want the untranslated all lower-case like that, or with an upper-case U?

Lowercase, yep, kind of like a label.